Name:             jboss-ejb3-ext-api
Version:          2.0.0
Release:          2%{?dist}
Summary:          JBoss EJB 3 Extension API
Group:            Development/Libraries
License:          LGPLv3+
URL:              http://www.jboss.org/ejb3


# git clone git://github.com/jbossejb3/jboss-ejb3-ext-api.git
# cd jboss-ejb3-ext-api
# git archive --format=tar --prefix=jboss-ejb3-ext-api-2.0.0/ 2.0.0 | xz > jboss-ejb3-ext-api-2.0.0.tar.xz
Source0:          %{name}-%{version}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    jboss-parent

Requires:         jpackage-utils
Requires:	  java

%description
JBoss EJB 3 API for Bean Providers

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
mvn-rpmbuild install javadoc:aggregate

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc README.md
%doc LICENSE

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE

%changelog
* Sat Mar 10 2012 Sebastien Pasche <braoru@fedoraproject.org> 2.0.0-2
- Removed both namedversion and mavenversion global var
- License is LGPLv3+
- Added LICENSE to sub-packages
- Fixed T%{_javadir}/jboss to %{_javadir}/%{name}
- Added java to Requires
- Fixed issues with version number
- Fixed git redundant manipulations

* Tue Feb 28 2012 Sebastien Pasche <braoru@fedoraproject.org> 2.0.0-1
- Re-Packaging to 2.0.0
- Cleaning

* Fri Dec 09 2011 Marek Goldmann <mgoldman@redhat.com> 2.0.0-0.1.beta2
- Initial packaging
